Index: pacemaker/pengine/test10/bug-rh-1097457.exp
===================================================================
--- pacemaker.orig/pengine/test10/bug-rh-1097457.exp
+++ pacemaker/pengine/test10/bug-rh-1097457.exp
@@ -3,7 +3,7 @@
     <action_set>
       <rsc_op id="37" operation="start" operation_key="VM2_start_0" on_node="lama3" on_node_uuid="2">
         <primitive id="VM2" class="ocf" provider="heartbeat" type="VirtualDomain"/>
-        <attributes CRM_meta_name="start" CRM_meta_remote_node="lamaVM2" CRM_meta_timeout="90000000" config="/etc/libvirt/qemu/VM2.xml"  hypervisor="qemu:///system"/>
+        <attributes CRM_meta_name="start" CRM_meta_on_node="lama3" CRM_meta_on_node_uuid="2" CRM_meta_remote_node="lamaVM2" CRM_meta_timeout="90000000" config="/etc/libvirt/qemu/VM2.xml"  hypervisor="qemu:///system"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -19,7 +19,7 @@
     <action_set>
       <rsc_op id="36" operation="stop" operation_key="VM2_stop_0" on_node="lama3" on_node_uuid="2">
         <primitive id="VM2" class="ocf" provider="heartbeat" type="VirtualDomain"/>
-        <attributes CRM_meta_name="stop" CRM_meta_remote_node="lamaVM2" CRM_meta_timeout="90000000" config="/etc/libvirt/qemu/VM2.xml"  hypervisor="qemu:///system"/>
+        <attributes CRM_meta_name="stop" CRM_meta_on_node="lama3" CRM_meta_on_node_uuid="2" CRM_meta_remote_node="lamaVM2" CRM_meta_timeout="90000000" config="/etc/libvirt/qemu/VM2.xml"  hypervisor="qemu:///system"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -32,7 +32,7 @@
     <action_set>
       <rsc_op id="5" operation="monitor" operation_key="VM2_monitor_10000" on_node="lama3" on_node_uuid="2">
         <primitive id="VM2" class="ocf" provider="heartbeat" type="VirtualDomain"/>
-        <attributes CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_on_fail="fence" CRM_meta_remote_node="lamaVM2" CRM_meta_timeout="30000" config="/etc/libvirt/qemu/VM2.xml"  hypervisor="qemu:///system"/>
+        <attributes CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_on_fail="fence" CRM_meta_on_node="lama3" CRM_meta_on_node_uuid="2" CRM_meta_remote_node="lamaVM2" CRM_meta_timeout="30000" config="/etc/libvirt/qemu/VM2.xml"  hypervisor="qemu:///system"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -45,7 +45,7 @@
     <action_set>
       <rsc_op id="42" operation="monitor" operation_key="FSlun3_monitor_10000" on_node="lama2" on_node_uuid="1">
         <primitive id="FSlun3" class="ocf" provider="heartbeat" type="Filesystem"/>
-        <attributes CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_on_fail="fence" CRM_meta_timeout="20000"  device="-L FSlun3" directory="/lun3" fstype="ext4"/>
+        <attributes CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_on_fail="fence" CRM_meta_on_node="lama2" CRM_meta_on_node_uuid="1" CRM_meta_timeout="20000"  device="-L FSlun3" directory="/lun3" fstype="ext4"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -58,7 +58,7 @@
     <action_set>
       <rsc_op id="41" operation="start" operation_key="FSlun3_start_0" on_node="lama2" on_node_uuid="1">
         <primitive id="FSlun3" class="ocf" provider="heartbeat" type="Filesystem"/>
-        <attributes CRM_meta_name="start" CRM_meta_timeout="60000"  device="-L FSlun3" directory="/lun3" fstype="ext4"/>
+        <attributes CRM_meta_name="start" CRM_meta_on_node="lama2" CRM_meta_on_node_uuid="1" CRM_meta_timeout="60000"  device="-L FSlun3" directory="/lun3" fstype="ext4"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -92,7 +92,7 @@
     <action_set>
       <rsc_op id="21" operation="monitor" operation_key="FSlun3_monitor_10000" on_node="lamaVM2" on_node_uuid="lamaVM2" router_node="lama3">
         <primitive id="FSlun3" class="ocf" provider="heartbeat" type="Filesystem"/>
-        <attributes CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_on_fail="fence" CRM_meta_timeout="20000"  device="-L FSlun3" directory="/lun3" fstype="ext4"/>
+        <attributes CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_on_fail="fence" CRM_meta_on_node="lamaVM2" CRM_meta_on_node_uuid="lamaVM2" CRM_meta_timeout="20000"  device="-L FSlun3" directory="/lun3" fstype="ext4"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -168,7 +168,7 @@
     <action_set>
       <rsc_op id="72" operation="start" operation_key="FAKE4_start_0" on_node="lamaVM2" on_node_uuid="lamaVM2" router_node="lama3">
         <primitive id="FAKE4" class="ocf" provider="heartbeat" type="Dummy"/>
-        <attributes CRM_meta_name="start" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_name="start" CRM_meta_on_node="lamaVM2" CRM_meta_on_node_uuid="lamaVM2" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -208,7 +208,7 @@
     <action_set>
       <rsc_op id="23" operation="monitor" operation_key="FAKE4_monitor_30000" on_node="lamaVM2" on_node_uuid="lamaVM2" router_node="lama3">
         <primitive id="FAKE4" class="ocf" provider="heartbeat" type="Dummy"/>
-        <attributes CRM_meta_interval="30000" CRM_meta_name="monitor" CRM_meta_on_fail="restart" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_interval="30000" CRM_meta_name="monitor" CRM_meta_on_fail="restart" CRM_meta_on_node="lamaVM2" CRM_meta_on_node_uuid="lamaVM2" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -224,7 +224,7 @@
     <action_set>
       <rsc_op id="74" operation="start" operation_key="FAKE4-IP_start_0" on_node="lamaVM2" on_node_uuid="lamaVM2" router_node="lama3">
         <primitive id="FAKE4-IP" class="ocf" provider="heartbeat" type="IPaddr2"/>
-        <attributes CRM_meta_name="start" CRM_meta_timeout="20000" cidr_netmask="16"  ip="10.1.1.54"/>
+        <attributes CRM_meta_name="start" CRM_meta_on_node="lamaVM2" CRM_meta_on_node_uuid="lamaVM2" CRM_meta_timeout="20000" cidr_netmask="16"  ip="10.1.1.54"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -264,7 +264,7 @@
     <action_set>
       <rsc_op id="24" operation="monitor" operation_key="FAKE4-IP_monitor_30000" on_node="lamaVM2" on_node_uuid="lamaVM2" router_node="lama3">
         <primitive id="FAKE4-IP" class="ocf" provider="heartbeat" type="IPaddr2"/>
-        <attributes CRM_meta_interval="30000" CRM_meta_name="monitor" CRM_meta_on_fail="restart" CRM_meta_timeout="20000" cidr_netmask="16"  ip="10.1.1.54"/>
+        <attributes CRM_meta_interval="30000" CRM_meta_name="monitor" CRM_meta_on_fail="restart" CRM_meta_on_node="lamaVM2" CRM_meta_on_node_uuid="lamaVM2" CRM_meta_timeout="20000" cidr_netmask="16"  ip="10.1.1.54"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -280,7 +280,7 @@
     <action_set>
       <rsc_op id="84" operation="start" operation_key="FAKE6_start_0" internal_operation_key="FAKE6:2_start_0" on_node="lamaVM2" on_node_uuid="lamaVM2" router_node="lama3">
         <primitive id="FAKE6" long-id="FAKE6:2" class="ocf" provider="heartbeat" type="Dummy"/>
-        <attributes CRM_meta_clone="2" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_name="start" CRM_meta_notify="false" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_clone="2" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_name="start" CRM_meta_notify="false" CRM_meta_on_node="lamaVM2" CRM_meta_on_node_uuid="lamaVM2" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -317,7 +317,7 @@
     <action_set>
       <rsc_op id="22" operation="monitor" operation_key="FAKE6_monitor_30000" internal_operation_key="FAKE6:2_monitor_30000" on_node="lamaVM2" on_node_uuid="lamaVM2" router_node="lama3">
         <primitive id="FAKE6" long-id="FAKE6:2" class="ocf" provider="heartbeat" type="Dummy"/>
-        <attributes CRM_meta_clone="2" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_interval="30000" CRM_meta_name="monitor" CRM_meta_notify="false" CRM_meta_on_fail="restart" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_clone="2" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_interval="30000" CRM_meta_name="monitor" CRM_meta_notify="false" CRM_meta_on_fail="restart" CRM_meta_on_node="lamaVM2" CRM_meta_on_node_uuid="lamaVM2" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -387,7 +387,7 @@
     <action_set>
       <rsc_op id="92" operation="start" operation_key="lamaVM2_start_0" on_node="lama3" on_node_uuid="2">
         <primitive id="lamaVM2" class="ocf" provider="pacemaker" type="remote"/>
-        <attributes CRM_meta_container="VM2" CRM_meta_name="start" CRM_meta_timeout="60000" />
+        <attributes CRM_meta_container="VM2" CRM_meta_name="start" CRM_meta_on_node="lama3" CRM_meta_on_node_uuid="2" CRM_meta_timeout="60000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -406,7 +406,7 @@
     <action_set>
       <rsc_op id="91" operation="stop" operation_key="lamaVM2_stop_0" on_node="lama3" on_node_uuid="2">
         <primitive id="lamaVM2" class="ocf" provider="pacemaker" type="remote"/>
-        <attributes CRM_meta_container="VM2" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_container="VM2" CRM_meta_on_node="lama3" CRM_meta_on_node_uuid="2" CRM_meta_timeout="20000" />
         <downed>
           <node id="lamaVM2"/>
         </downed>
@@ -418,7 +418,7 @@
     <action_set>
       <rsc_op id="4" operation="monitor" operation_key="lamaVM2_monitor_30000" on_node="lama3" on_node_uuid="2">
         <primitive id="lamaVM2" class="ocf" provider="pacemaker" type="remote"/>
-        <attributes CRM_meta_container="VM2" CRM_meta_interval="30000" CRM_meta_name="monitor" CRM_meta_timeout="30000" />
+        <attributes CRM_meta_container="VM2" CRM_meta_interval="30000" CRM_meta_name="monitor" CRM_meta_on_node="lama3" CRM_meta_on_node_uuid="2" CRM_meta_timeout="30000" />
       </rsc_op>
     </action_set>
     <inputs>
Index: pacemaker/pengine/test10/bug-rh-880249.exp
===================================================================
--- pacemaker.orig/pengine/test10/bug-rh-880249.exp
+++ pacemaker/pengine/test10/bug-rh-880249.exp
@@ -3,7 +3,7 @@
     <action_set>
       <rsc_op id="12" operation="start" operation_key="dummystateful_start_0" on_node="18node3" on_node_uuid="3">
         <primitive id="dummystateful" class="ocf" provider="pacemaker" type="Stateful"/>
-        <attributes CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="18node3" CRM_meta_on_node_uuid="3" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -22,7 +22,7 @@
     <action_set>
       <rsc_op id="11" operation="stop" operation_key="dummystateful_stop_0" on_node="18node3" on_node_uuid="3">
         <primitive id="dummystateful" class="ocf" provider="pacemaker" type="Stateful"/>
-        <attributes CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="18node3" CRM_meta_on_node_uuid="3" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -41,7 +41,7 @@
     <action_set>
       <rsc_op id="10" operation="stop" operation_key="dummystateful_stop_0" on_node="18node1" on_node_uuid="1">
         <primitive id="dummystateful" class="ocf" provider="pacemaker" type="Stateful"/>
-        <attributes CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="18node1" CRM_meta_on_node_uuid="1" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -60,7 +60,7 @@
     <action_set>
       <rsc_op id="9" operation="stop" operation_key="dummystateful_stop_0" on_node="18node2" on_node_uuid="2">
         <primitive id="dummystateful" class="ocf" provider="pacemaker" type="Stateful"/>
-        <attributes CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="18node2" CRM_meta_on_node_uuid="2" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -79,7 +79,7 @@
     <action_set>
       <rsc_op id="8" operation="demote" operation_key="dummystateful_demote_0" on_node="18node3" on_node_uuid="3">
         <primitive id="dummystateful" class="ocf" provider="pacemaker" type="Stateful"/>
-        <attributes CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="18node3" CRM_meta_on_node_uuid="3" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs/>
@@ -88,7 +88,7 @@
     <action_set>
       <rsc_op id="7" operation="demote" operation_key="dummystateful_demote_0" on_node="18node1" on_node_uuid="1">
         <primitive id="dummystateful" class="ocf" provider="pacemaker" type="Stateful"/>
-        <attributes CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="18node1" CRM_meta_on_node_uuid="1" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs/>
@@ -97,7 +97,7 @@
     <action_set>
       <rsc_op id="6" operation="demote" operation_key="dummystateful_demote_0" on_node="18node2" on_node_uuid="2">
         <primitive id="dummystateful" class="ocf" provider="pacemaker" type="Stateful"/>
-        <attributes CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="18node2" CRM_meta_on_node_uuid="2" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs/>
Index: pacemaker/pengine/test10/bug-suse-707150.exp
===================================================================
--- pacemaker.orig/pengine/test10/bug-suse-707150.exp
+++ pacemaker/pengine/test10/bug-suse-707150.exp
@@ -15,7 +15,7 @@
     <action_set>
       <rsc_op id="17" operation="start" operation_key="o2cb:0_start_0" on_node="hex-0" on_node_uuid="hex-0">
         <primitive id="o2cb" long-id="o2cb:0" class="ocf" provider="ocfs2" type="o2cb"/>
-        <attributes CRM_meta_clone="0" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_record_pending="false" CRM_meta_timeout="240000" />
+        <attributes CRM_meta_clone="0" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="hex-0" CRM_meta_on_node_uuid="hex-0" CRM_meta_record_pending="false" CRM_meta_timeout="240000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -28,7 +28,7 @@
     <action_set>
       <rsc_op id="18" operation="start" operation_key="clvm:0_start_0" on_node="hex-0" on_node_uuid="hex-0">
         <primitive id="clvm" long-id="clvm:0" class="ocf" provider="lvm2" type="clvmd"/>
-        <attributes CRM_meta_clone="0" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_record_pending="false" CRM_meta_timeout="240000"  daemon_timeout="30"/>
+        <attributes CRM_meta_clone="0" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="hex-0" CRM_meta_on_node_uuid="hex-0" CRM_meta_record_pending="false" CRM_meta_timeout="240000"  daemon_timeout="30"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -44,7 +44,7 @@
     <action_set>
       <rsc_op id="19" operation="start" operation_key="cmirrord:0_start_0" on_node="hex-0" on_node_uuid="hex-0">
         <primitive id="cmirrord" long-id="cmirrord:0" class="ocf" provider="lvm2" type="cmirrord"/>
-        <attributes CRM_meta_clone="0" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_record_pending="false" CRM_meta_timeout="240000"  daemon_timeout="60"/>
+        <attributes CRM_meta_clone="0" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="hex-0" CRM_meta_on_node_uuid="hex-0" CRM_meta_record_pending="false" CRM_meta_timeout="240000"  daemon_timeout="60"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -72,7 +72,7 @@
     <action_set>
       <rsc_op id="24" operation="start" operation_key="dlm:1_start_0" on_node="hex-9" on_node_uuid="hex-9">
         <primitive id="dlm" long-id="dlm:1" class="ocf" provider="pacemaker" type="controld"/>
-        <attributes CRM_meta_clone="1" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_record_pending="false" CRM_meta_timeout="240000" />
+        <attributes CRM_meta_clone="1" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="hex-9" CRM_meta_on_node_uuid="hex-9" CRM_meta_record_pending="false" CRM_meta_timeout="240000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -85,7 +85,7 @@
     <action_set>
       <rsc_op id="25" operation="start" operation_key="o2cb:1_start_0" on_node="hex-9" on_node_uuid="hex-9">
         <primitive id="o2cb" long-id="o2cb:1" class="ocf" provider="ocfs2" type="o2cb"/>
-        <attributes CRM_meta_clone="1" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_record_pending="false" CRM_meta_timeout="240000" />
+        <attributes CRM_meta_clone="1" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="hex-9" CRM_meta_on_node_uuid="hex-9" CRM_meta_record_pending="false" CRM_meta_timeout="240000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -101,7 +101,7 @@
     <action_set>
       <rsc_op id="26" operation="start" operation_key="clvm:1_start_0" on_node="hex-9" on_node_uuid="hex-9">
         <primitive id="clvm" long-id="clvm:1" class="ocf" provider="lvm2" type="clvmd"/>
-        <attributes CRM_meta_clone="1" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_record_pending="false" CRM_meta_timeout="240000"  daemon_timeout="30"/>
+        <attributes CRM_meta_clone="1" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="hex-9" CRM_meta_on_node_uuid="hex-9" CRM_meta_record_pending="false" CRM_meta_timeout="240000"  daemon_timeout="30"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -117,7 +117,7 @@
     <action_set>
       <rsc_op id="27" operation="start" operation_key="cmirrord:1_start_0" on_node="hex-9" on_node_uuid="hex-9">
         <primitive id="cmirrord" long-id="cmirrord:1" class="ocf" provider="lvm2" type="cmirrord"/>
-        <attributes CRM_meta_clone="1" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_record_pending="false" CRM_meta_timeout="240000"  daemon_timeout="60"/>
+        <attributes CRM_meta_clone="1" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="hex-9" CRM_meta_on_node_uuid="hex-9" CRM_meta_record_pending="false" CRM_meta_timeout="240000"  daemon_timeout="60"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -133,7 +133,7 @@
     <action_set>
       <rsc_op id="8" operation="monitor" operation_key="vg1:1_monitor_0" on_node="hex-9" on_node_uuid="hex-9">
         <primitive id="vg1" long-id="vg1:1" class="ocf" provider="heartbeat" type="LVM"/>
-        <attributes CRM_meta_clone="1" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_op_target_rc="7" CRM_meta_record_pending="false" CRM_meta_timeout="240000"  volgrpname="cluster-vg"/>
+        <attributes CRM_meta_clone="1" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="hex-9" CRM_meta_on_node_uuid="hex-9" CRM_meta_op_target_rc="7" CRM_meta_record_pending="false" CRM_meta_timeout="240000"  volgrpname="cluster-vg"/>
       </rsc_op>
     </action_set>
     <inputs/>
Index: pacemaker/pengine/test10/clone-anon-dup.exp
===================================================================
--- pacemaker.orig/pengine/test10/clone-anon-dup.exp
+++ pacemaker/pengine/test10/clone-anon-dup.exp
@@ -3,7 +3,7 @@
     <action_set>
       <rsc_op id="9" operation="start" operation_key="stonith-1_start_0" on_node="wc01" on_node_uuid="31de4ab3-2d05-476e-8f9a-627ad6cd94ca">
         <primitive id="stonith-1" class="stonith" type="dummy"/>
-        <attributes CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="wc01" CRM_meta_on_node_uuid="31de4ab3-2d05-476e-8f9a-627ad6cd94ca" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -22,7 +22,7 @@
     <action_set>
       <rsc_op id="8" operation="monitor" operation_key="stonith-1_monitor_0" on_node="wc03" on_node_uuid="f61edb1d-6f49-4ffa-a46a-42ceef796f6e">
         <primitive id="stonith-1" class="stonith" type="dummy"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="wc03" CRM_meta_on_node_uuid="f61edb1d-6f49-4ffa-a46a-42ceef796f6e" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs/>
@@ -31,7 +31,7 @@
     <action_set>
       <rsc_op id="7" operation="monitor" operation_key="stonith-1_monitor_0" on_node="wc02" on_node_uuid="f36760d8-d84a-46b2-b452-4c8cac8b3396">
         <primitive id="stonith-1" class="stonith" type="dummy"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="wc02" CRM_meta_on_node_uuid="f36760d8-d84a-46b2-b452-4c8cac8b3396" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs/>
@@ -40,7 +40,7 @@
     <action_set>
       <rsc_op id="6" operation="monitor" operation_key="stonith-1_monitor_0" on_node="wc01" on_node_uuid="31de4ab3-2d05-476e-8f9a-627ad6cd94ca">
         <primitive id="stonith-1" class="stonith" type="dummy"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="wc01" CRM_meta_on_node_uuid="31de4ab3-2d05-476e-8f9a-627ad6cd94ca" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs/>
@@ -76,7 +76,7 @@
     <action_set>
       <rsc_op id="26" operation="stop" operation_key="apache2:0_stop_0" internal_operation_key="apache2:2_stop_0" on_node="wc02" on_node_uuid="f36760d8-d84a-46b2-b452-4c8cac8b3396">
         <primitive id="apache2:0" long-id="apache2:2" class="ocf" provider="heartbeat" type="apache"/>
-        <attributes CRM_meta_clone="2" CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="20000" clone-max="2" clone-node-max="1" configfile="/etc/apache2/apache2.conf"  envfiles="/etc/apache2/envvars" httpd="/usr/sbin/apache2" options="-k start" statusurl="http://localhost/server-status/"/>
+        <attributes CRM_meta_clone="2" CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="wc02" CRM_meta_on_node_uuid="f36760d8-d84a-46b2-b452-4c8cac8b3396" CRM_meta_timeout="20000" clone-max="2" clone-node-max="1" configfile="/etc/apache2/apache2.conf"  envfiles="/etc/apache2/envvars" httpd="/usr/sbin/apache2" options="-k start" statusurl="http://localhost/server-status/"/>
       </rsc_op>
     </action_set>
     <inputs>
